package credit_usage

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/credit_usage"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /credit_usage/create credit_usage CreateCreditUsage
//
// Create credit usage information | 创建CreditUsage
//
// Create credit usage information | 创建CreditUsage
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: CreditUsageInfo
//
// Responses:
//  200: BaseMsgResp

func CreateCreditUsageHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.CreditUsageInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := credit_usage.NewCreateCreditUsageLogic(r.Context(), svcCtx)
		resp, err := l.CreateCreditUsage(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
